<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{requestUnitInternal.idRequest}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!requestUnitInternal.idRequest">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="requestUnitInternal.idRequest" readonly />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.requestUnitInternal.requestUnitInternal" for="field_requestUnitInternal">Request Unit Internal</label>
                        <select class="form-control" id="field_requestUnitInternal" name="requestUnitInternal" [(ngModel)]="requestUnitInternal.requestUnitInternalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="requestUnitInternalOption.idRequest" *ngFor="let requestUnitInternalOption of requestunitinternals; trackBy: trackRequestUnitInternalById">{{requestUnitInternalOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.requestUnitInternal.internalFrom" for="field_internalFrom">Internal From</label>
                        <select class="form-control" id="field_internalFrom" name="internalFrom" [(ngModel)]="requestUnitInternal.internalFromId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.requestUnitInternal.internalTo" for="field_internalTo">Internal To</label>
                        <select class="form-control" id="field_internalTo" name="internalTo" [(ngModel)]="requestUnitInternal.internalToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>